[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomTrayIcon.GetPosition

Gets the position for the tray icon on the display.

## Declaration

Source position: extctrls.pp line 1454

`public function TCustomTrayIcon.GetPosition: TPoint;`

## Description

GetPosition is a TPoint function used to get the position of the tray icon on the display. GetPosition calls the namesake method in the WidgetSetClass to get the location for the tray icon. The coordinates in the return value are used to determine the location for a BalloonHint window for the tray icon.

For the Windows platform, an approximate location in the tray area in the Windows taskbar is used. For other platforms, the position is dependent on the window manager or desktop environment. It may also contain an empty rectangle as the position value.